<?php
/** 
*
* @package dbal
* @version $Id: dbal.php,v 1.53 2007/01/26 16:07:43 acydburn Exp $
* @copyright (c) 2005 phpBB Group 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* Database Abstraction Layer
* @package dbal
*/
class dbal
{
	var $in_transaction = false;

	/**
	* SQL Transaction
	*/
	function sql_transaction($status = 'begin')
	{
		switch ($status)
		{
			case 'begin':
				// Commit previously opened transaction before opening another transaction
				if ($this->in_transaction)
				{
					$this->_sql_transaction('commit');
				}

				$result = $this->_sql_transaction('begin');
				$this->in_transaction = true;
			break;

			case 'commit':
				$result = $this->_sql_transaction('commit');
				$this->in_transaction = false;

				if (!$result)
				{
					$this->_sql_transaction('rollback');
				}
			break;

			case 'rollback':
				$result = $this->_sql_transaction('rollback');
				$this->in_transaction = false;
			break;

			default:
				$result = $this->_sql_transaction($status);
			break;
		}

		return $result;
	}
}

?>