<?php

/**
 * A phpBB DBAL connection.
 *
 * @package phpbb-openid
 */

/**
 * Require the base class file.
 */
require_once "{$openid_root_path}DatabaseConnection.$phpEx";

class Auth_OpenID_BBDatabaseConnection extends Auth_OpenID_DatabaseConnection
{
	var $db;

	function Auth_OpenID_BBDatabaseConnection()
	{
		global $db;
		$this->db =& $db;
	}

	function autoCommit($mode)
	{
		// TODO
	}

	function begin()
	{
		return $this->db->sql_transaction('begin');
	}

	function commit()
	{
		return $this->db->sql_transaction('commit');
	}

	function rollback()
	{
		return $this->db->sql_transaction('rollback');
	}

	function query($sql, $params = array())
	{
		$subject_sql = $sql;
		foreach ($params as $param)
		{
			$value = $this->db->sql_escape($param);
			$subject_sql = $this->str_replace_once('?', $value, $subject_sql);
		}
		return $this->db->sql_query($subject_sql);
	}

	function getOne($sql, $params = array())
	{
		$sql_result = $this->query($sql, $params);
		return $this->db->sql_fetchfield(0, 0, $sql_result);
	}

	function getRow($sql, $params = array())
	{
		$sql_result = $this->query($sql, $params);
		return $this->db->sql_fetchrow($sql_result);
	}

	function getAll($sql, $params = array())
	{
		$sql_result = $this->query($sql, $params);
		return $this->db->sql_fetchrowset($sql_result);
	}

	/*
	 * @access private
	 */
	function str_replace_once($search, $replace, $subject)
	{
		$pos = strpos($subject, $search);
		if ($pos !== false)
		{
			$offset = $pos + strlen($search);
			$subject = substr($subject, 0, $pos) . $replace . substr($subject, $offset);
		}
		return $subject;
	}
}

?>