<?php
/***************************************************************************
 *                         lang_openid.php [english]
 *                            -------------------
 *   begin                : Sunday Oct 8, 2006
 *   copyright            : (C) 2006 - 2007 Dmitry Shechtman
 *   email                : damnian at phpbb dot cc
 *
 *   $Id: lang_openid.php $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

$faq = array(
	array(
		0 => '--',
		1 => 'Introduction'
	),
	array(
		0 => 'What is OpenID?',
		1 => 'OpenID is an open, decentralised, free framework for user-centric digital identity. It is essentially a global SSO (single sign-on) system.'
	),
	array(
		0 => 'Why should I use it?',
		1 => 'Because it\'s your create-once-use-everywhere identity. Once you got one, you won\'t have to fill out those annoying registration forms over and over again. All you\'ll have to do is enter your OpenID and grant access. That\'s it. Any personal data you choose to share (such as your nickname, email address etc.) are conveyed to the trusted site. No more activation emails, forgotten nicknames, or revealed passwords.'
	),
	array(
		0 => '--',
		1 => 'OpenID Issues'
	),
	array(
		0 => 'Will sites log me in without asking?',
		1 => 'Never. You\'ll have to explicitly grant each site access to your OpenID. You may choose "Allow forever" for a particular site, and then you won\'t be asked again, but only about that site.'
	),
	array(
		0 => 'I like my username. It\'s much shorter!',
		1 => 'What about your password? If it\'s also short, doesn\'t it make stealing your identity too easy? I bet you have the same password on different sites!',
	),
	array(
		0 => 'Will my OpenID password be shared across sites?',
		1 => 'Of course not! Technically speaking, there are no such things as an OpenID username or an OpenID password. Although in most cases your OpenID provider will ask for your username and password, those will always remain private. Whenever a site wants to verify your OpenID, it talks to your provider over a secure protocol.',
	),
	array(
		0 => 'Will my OpenID be visible to others?',
		1 => 'That\'s totally up to. When you log in for the first time, your OpenID is filled into your Website field. You may promptly replace or remove it in <a href="profile.'.$phpEx.'?mode=editprofile">Profile</a>.'
	),
	array(
		0 => 'What if a server goes down?',
		1 => 'If it\'s ours, please let us know. If it\'s your OpenID or delegate provider, that\'s not our problem. Now seriously, you may still use the good old password to log into this board. See <strong>Why can\'t I login?</strong> for instructions.',
	),
	array(
		0 => 'What if a provider turns evil?',
		1 => 'If you\'re concerned about a particular provider, choose a different one. You may always switch providers without losing your identity once you delegate it. Look for your provider\'s <strong>delegation</strong> instructions.'
	),
	array(
		0 => 'What about phishing?',
		1 => 'The choice of an OpenID provider shouldn\'t be treated lightheadedly. As the awarness of the OpenID phishing problem grows, providers add various anti-phishing measures to their sites. In addition, browsers will soon offer built-in phishing-resistant <a href="http://blog.phpbb.cc/2007/01/23/identity-manager-illustrated/" target="_blank">identity managers</a>. You (and your OpenID provider) may find some technical details <a href="http://blog.phpbb.cc/2007/01/20/identity-manager-a-browser-based-solution-to-openid-phishing/" target="_blank">here</a>, <a href="http://blog.phpbb.cc/2007/01/12/external-authentication-and-otp/" target="_blank">here</a> and <a href="http://blog.phpbb.cc/2007/01/22/yet-another-anti-phishing-idea/" target="_blank">here</a>.'
	),
	array(
		0 => 'I\'m still unconvinced. Where do I get more details?',
		1 => 'Try the <a href="http://openid.net" target="_blank">OpenID Home</a>, but keep in mind that of the moment of writing, this document offers more non-technical information than does that site.'
	),
	array(
		0 => 'OK, I\'m convinced. Where do I get my OpenID?',
		1 => 'A plenty of options is available. In fact, you might already have an OpenID!<ul><li>Various sites and service providers automatically issue OpenIDs to their users.</li><li>If you are an AOL/AIM user, your OpenID is openid.aol.com/<em>screenname</em>.</li><li>If you have a Yahoo account, you may get an instant OpenID <a href="http://idproxy.net/" target="_blank">here</a>.</li>' . ($board_config['openid_signup_enable'] ? '<li>This bulletin board lets you <a href="' . $board_config['openid_signup_url'] . '">get an instant OpenID</a> from a third-party provider.</li>' : '') . '<li>Several sites (like <a href="http://www.myopenid.com/" target="_blank">MyOpenID</a>) provide OpenIDs for free.</li><li>If you have access to a web hosting service, you may run your own OpenID server.</li><li>You may be able to use your webspace or blog as your OpenID delegate. Contact their administrator for details.</li></ul>'
	),
	array(
		0 => '--',
		1 => 'Login Issues'
	),
	array(
		0 => 'Why can\'t I login?',
		1 => 'There are several reasons why this could occur. First, ensure your OpenID is correct. If it is, make sure you entered it in the right field. If you are trying to login using only OpenID, leave the password field blank. It is possible that your OpenID provider\'s server is down. If this is the case, you may log in using your username and password. If you don\'t have a password here, just click "I forgot my password" and follow the instructions. If you are still unable to login, contact the board owner to make sure you haven\'t been banned. It is also possible the website owner has a configuration error on their end, and they would need to fix it.'
	),
	array(
		0 => 'Why can\'t I login elsewhere?',
		1 => 'If you don\'t see the OpenID login option on a board/site, contact its administrator (an email contact should be visible on the registration form) asking to add this functionality. You may point him/her to <a href="faq.'.$phpEx.'?mode=openid">this FAQ</a>, <a href="http://openid.phpbb.cc/" target="_blank">phpbb-openid</a>, or <a href="http://openid.net/" target="_blank">OpenID home</a>.'
	),
	array(
		0 => 'I\'m already registered. Now what?',
		1 => '<a href="login.'.$phpEx.'">Log in</a> with an OpenID matching the username and the email address specified on this board. An activation email will be sent to you. Once you activate your account, you will be able to delete your password and log in with just your OpenID.',
	),
	array(
		0 => 'How do I delete my password?',
		1 => 'Go to <a href="profile.'.$phpEx.'?mode=editprofile">Profile</a>. Check "Delete Password" and push "Submit". You may now forget your password, delete the email that contained it and burn all copies!',
	),
	array(
		0 => '--',
		1 => 'One last and least frequently asked question'
	),
	array(
		0 => 'Who wrote this OpenID implementation?',
		1 => 'OpenID is an open standard developed by several individuals and companies.<ul><li>The initial protocol specification has been created by Brad Fitzpatrick of <a href="http://www.danga.com/" target="_blank">Danga Interactive</a>.</li><li>The <a href="http://www.openidenabled.com/openid/libraries/php" target="_blank">PHP OpenID library</a> has been developed by <a href="http://www.janrain.com" target="_blank">JanRain, Inc.</a> It is available under the Lesser GNU Public Licence.</li><li><a href="http://openid.phpbb.cc/" target="_blank">phpbb-openid</a> has been brought to you by a team led by <a href="http://www.phpbb.cc/" target="_blank">Dmitry Shechtman</a>. It is available under the GNU General Public Licence and may be freely distributed.</li></ul>'
	)
);
?>